Name:           ooo3-base
Summary:        Virtual package for easier instalation of OpenOffice.org 3.x
%define mainversion 3.2
%define minorversion 9483
Version:        %{mainversion}.%{minorversion}
Release:        1%{?dist}
%define upperversion 3.2

Group:          Applications/Productivity
License:        GPLv2+
URL:            http://www.openoffice.org/
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch

Requires:       jre 
Requires:       ooobasis%{upperversion}-base >= %{mainversion}
Requires:       ooobasis%{upperversion}-binfilter >= %{mainversion}
Requires:       ooobasis%{upperversion}-calc >= %{mainversion}
Requires:       ooobasis%{upperversion}-core01 >= %{mainversion}
Requires:       ooobasis%{upperversion}-core02 >= %{mainversion}
Requires:       ooobasis%{upperversion}-core03 >= %{mainversion}
Requires:       ooobasis%{upperversion}-core04 >= %{mainversion}
Requires:       ooobasis%{upperversion}-core05 >= %{mainversion}
Requires:       ooobasis%{upperversion}-core06 >= %{mainversion}
Requires:       ooobasis%{upperversion}-core07 >= %{mainversion}
Requires:       ooobasis%{upperversion}-draw >= %{mainversion}
Requires:       ooobasis%{upperversion}-gnome-integration  >= %{upperversion}
Requires:       ooobasis%{upperversion}-graphicfilter >= %{mainversion}
Requires:       ooobasis%{upperversion}-images >= %{mainversion}
Requires:       ooobasis%{upperversion}-impress >= %{mainversion}
Requires:       ooobasis%{upperversion}-javafilter >= %{mainversion}
Requires:       ooobasis%{upperversion}-kde-integration >= %{upperversion}
Requires:       ooobasis%{upperversion}-math >= %{mainversion}
Requires:       ooobasis%{upperversion}-onlineupdate >= %{mainversion}
Requires:       ooobasis%{upperversion}-ooofonts >= %{mainversion}
Requires:       ooobasis%{upperversion}-oooimprovement >= %{mainversion}
Requires:       ooobasis%{upperversion}-ooolinguistic >= %{mainversion}
Requires:       ooobasis%{upperversion}-pyuno >= %{mainversion}
Requires:       ooobasis%{upperversion}-testtool >= %{mainversion}
Requires:       ooobasis%{upperversion}-writer >= %{mainversion}
Requires:       ooobasis%{upperversion}-xsltfilter >= %{mainversion}
Requires:       openoffice.org%{upperversion}-redhat-menus >= %{upperversion}
Requires:       openoffice.org3 >= %{mainversion}
Requires:       openoffice.org3-base  >= %{mainversion}
Requires:       openoffice.org3-calc >= %{mainversion}
#Requires:       openoffice.org3-dict-en >= %{mainversion}
#Requires:       openoffice.org3-dict-es >= %{mainversion}
#Requires:       openoffice.org3-dict-fr >= %{mainversion}
Requires:       openoffice.org3-draw >= %{mainversion}
Requires:       openoffice.org3-impress >= %{mainversion}
Requires:       openoffice.org3-math >= %{mainversion}
Requires:       openoffice.org3-writer >= %{mainversion}
Requires:       openoffice.org-ure
# Not needed for installing as root, only for Java installer as regular user
#Requires:       openoffice.org-userland

Provides:       ooo3-base = %{version}-%{release}


%description
This is virtual package that provides easy installation
of core packages of openOffice.org %{version}. put together
on http://rpms.plnet.rs 
You MUST install also the one of the language packages
(ooo3-en-US,...), or better yet, install one of them
and they will install this package and all the others.

%prep
mkdir -p $RPM_BUILD_DIR/%{name}-%{version}
cd $RPM_BUILD_DIR/%{name}-%{version}
cat > README << EOF
This is virtual package that provides easy installation
of core packages of openOffice.org %{version}. put together
on http://rpms.plnet.rs 
You MUST install also the one of the language packages
(ooo3-en-US,...), or better yet, install one of them
and they will install this package and all the others.

EOF


%files
%defattr(-,root,root,-)
%doc %{name}-%{version}/README



%changelog
* Sun Feb 14 2010 Ljubomir Ljubojevic <office@plnet.rs> - 3.2.9483-1
- Bumped up to version 3.2.
- Removed fixed numbering for packages.
- Removed numbering from spec filename.
- Marked userland not needed for repository installation (as root).

* Sat Feb 06 2010 Ljubomir Ljubojevic <office@plnet.rs> - 3.1.1.9420-2
- Removed requirements for dictionaries.

* Sat Feb 06 2010 Ljubomir Ljubojevic <office@plnet.rs> - 3.1.1.9420-1
- Changed version numbering.

* Tue Oct  6 2009 Ljubomir Ljubojevic <office@plnet.rs> - 3.1.1
- First build.
